Bug 202799 - ext3 fails to mount a 16T filesystem due to overflows
ext3 fails to mount a 16T filesystem due to overflows
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Sandeen
Brian Brock
:
Depends On: 202807
Blocks: 206721
  Show dependency treegraph
 
Reported: 2006-08-16 11:07 EDT by Eric Sandeen
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 12:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2006-08-16 11:07:10 EDT
Although patches recently went into the kernel to change block containers to
unsigned types, arithmetic on those types can still cause overflows.

This is immediately obvious at mount time, when attempting to mount a filesystem
with 2^32-1 blocks.*

Care must be taken when iterating over group descriptors, and calculating group
descriptor count, to not overflow towards the end of the filesystem.

These patches are now upstream in the -mm kernel, for ext2 and ext3.

*actually creating such a filesystem requires changes to e2fsprogs, addressed by
another bugzilla entry, still to come.
Comment 1 Jarod Wilson 2006-08-18 10:50:47 EDT
And for the record, said patches are working on two test boxes I've got.

# df -h /mnt/sparsefs/
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/sparsefs   16T   25G   15T   1% /mnt/sparsefs
Comment 2 Eric Sandeen 2006-10-04 12:35:22 EDT
in fc6 stream now.

Note You need to log in before you can comment on or make changes to this bug.